package com.steering.pss.qcm.model;

/**
 * 产品规范定义表 实体类
 * @author Administrator PDY 2015/01/22
 */
public class PscObject {
    /**
     * 产品规范码
     */
    private String psc;
    /**
     * 产品规范描述
     */
    private String pscDesc;
    /**
     * 品名代码
     */
    private String producCode;
    /**
     * 品名描述
     */
    private String producName;
    /**
     * 标准代码
     */
    private String stdCode;
    /**
     * 标准名称
     */
    private String stdName;
    /**
     * 钢级(牌号)代码
     */
    private String steelCode;
    /**
     * 钢级(牌号)名称
     */
    private String steelName;
    /**
     * 标准类别代码
     */
    private String stdStyle;
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc;
    /**
     * 新产品代码
     */
    private String newProcCode;
    /**
     * 新产品描述
     */
    private String newProcDesc;
    /**
     * 管理部门代码
     */
    private String departmentCode;
    /**
     * 管理部门描述
     */
    private String departmentDesc;
    /**
     * 管理科室代码
     */
    private String unitCode;
    /**
     * 自动判定标识(是否自动判定)
     */
    private String autoJudge;
    /**
     * 管理科室描述
     */
    private String unitDesc;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    
    /**
     * 产品大类(4049)
     */
    private String producHead;
    
    private String producType;
    
    private String producStyle;
    
    private String producDesc;

    public String getPsc() {
        return psc;
    }

    public void setPsc(String psc) {
        this.psc = psc;
    }

    public String getPscDesc() {
        return pscDesc;
    }

    public void setPscDesc(String pscDesc) {
        this.pscDesc = pscDesc;
    }

    public String getProducCode() {
        return producCode;
    }

    public void setProducCode(String producCode) {
        this.producCode = producCode;
    }

    public String getProducName() {
        return producName;
    }

    public void setProducName(String producName) {
        this.producName = producName;
    }

    public String getStdCode() {
        return stdCode;
    }

    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    public String getStdName() {
        return stdName;
    }

    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    public String getSteelCode() {
        return steelCode;
    }

    public void setSteelCode(String steelCode) {
        this.steelCode = steelCode;
    }

    public String getSteelName() {
        return steelName;
    }

    public void setSteelName(String steelName) {
        this.steelName = steelName;
    }

    public String getStdStyle() {
        return stdStyle;
    }

    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    public String getNewProcCode() {
        return newProcCode;
    }

    public void setNewProcCode(String newProcCode) {
        this.newProcCode = newProcCode;
    }

    public String getNewProcDesc() {
        return newProcDesc;
    }

    public void setNewProcDesc(String newProcDesc) {
        this.newProcDesc = newProcDesc;
    }

    public String getDepartmentCode() {
        return departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentDesc() {
        return departmentDesc;
    }

    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getAutoJudge() {
        return autoJudge;
    }

    public void setAutoJudge(String autoJudge) {
        this.autoJudge = autoJudge;
    }

    public String getUnitDesc() {
        return unitDesc;
    }

    public void setUnitDesc(String unitDesc) {
        this.unitDesc = unitDesc;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getValidflag() {
        return validflag;
    }

    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getProducHead() {
        return producHead;
    }

    public void setProducHead(String producHead) {
        this.producHead = producHead;
    }

    public String getProducType() {
        return producType;
    }

    public void setProducType(String producType) {
        this.producType = producType;
    }

    public String getProducStyle() {
        return producStyle;
    }

    public void setProducStyle(String producStyle) {
        this.producStyle = producStyle;
    }

    public String getProducDesc() {
        return producDesc;
    }

    public void setProducDesc(String producDesc) {
        this.producDesc = producDesc;
    }

    
}
